import static org.junit.Assert.*;

import org.junit.Before;
import org.junit.Test;
import org.junit.runner.RunWith;

import greenfoot.World;
import greenfoot.junitUtils.WorldCreator;
import greenfoot.junitUtils.runner.GreenfootRunner;

/**
 * Test Driven Development (TDD)
 * 
 * @author Francisco Guerra
 */
@RunWith(GreenfootRunner.class)
public class CrabTest {

    Crab crab;
    
    @Before
    public void setUp() throws Exception {
        // GIVEN a crab into any world
    	World world = WorldCreator.getWorld(560, 560, 1);
        crab = new Crab();
        world.addObject(crab, 231, 203);
    }

    @Test
    public void testGetX() throws Exception {
        // WHEN nothing
        
        // THEN the crab is still in the same place
        assertEquals(231, crab.getX());
    }

    @Test
    public void testGetY() throws Exception {
        // WHEN nothing
        
        // THEN the crab is still in the same place
        assertEquals(203, crab.getY());
    }
    
    @Test
    public void testGetRotation() throws Exception {
        // WHEN nothing
        
        // THEN the crab is still in the same direction
        assertEquals(0, crab.getRotation());
    }
    
    @Test
    public void testGetImage() throws Exception {
        // WHEN nothing
        
        // THEN the crab has its initial image
        assertEquals("crab.png", crab.getImage().getImageFileName());
    }
        
}
